FolksDummy.PersonaStore.update_capabilities – folks-dummy Reference Manual

# update_capabilities

## Description:

public void update_capabilities (MaybeBool can_add_personas, MaybeBool can_alias_personas, MaybeBool can_remove_personas)

Set capabilities of the persona store.

This sets the capabilities of the store, as if they were changed on a backing store somewhere. This is intended to be used for testing code which depends on the values of Folks.PersonaStore.can_add_personas, Folks.PersonaStore.can_alias_personas and Folks.PersonaStore.can_remove_personas.

## Parameters:

can_add_personas | whether the store can handle adding personas
can_alias_personas | whether the store can handle and update user-specified persona aliases
can_remove_personas | whether the store can handle removing personas

## Since:

0.9.7